Debian Bug report logs - #392998
[noop] IPMARK extension removed

version graph

Package: iptables; Maintainer for iptables is Laurence J. Lane <ljlane@debian.org>; Source for iptables is src:iptables.

Reported by: Aaron Dummer <aaron@dummer.info>

Date: Sat, 14 Oct 2006 16:04:39 UTC

Severity: normal

Found in version iptables/1.3.5.0debian1-1

Done: "Laurence J. Lane" <ljlane@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#392998; Package iptables. Full text and rfc822 format available.

Acknowledgement sent to Aaron Dummer <aaron@dummer.info>:
New Bug report received and forwarded. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Dummer <aaron@dummer.info>
To: submit@bugs.debian.org
Subject: IPMARK extension removed
Date: Sat, 14 Oct 2006 11:44:35 -0400
Package: iptables
Version: 1.3.5.0debian1-1

IPMARK and other pomng extensions were removed.  These are still valid 
extensions, available by running "./runme --download" from the pom-ng source 
(see 
http://lists.netfilter.org/pipermail/netfilter-devel/2006-july/025141.html).

Please put these back into the package.

--
Aaron Dummer
aaron@dummer.info



Changed Bug title. Request was from "Laurence J. Lane" <ljlane@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Laurence J. Lane" <ljlane@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aaron Dummer <aaron@dummer.info>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 392998-done@bugs.debian.org (full text, mbox):

From: "Laurence J. Lane" <ljlane@debian.org>
To: 392998-done@bugs.debian.org
Subject: Re: Bug#392998: IPMARK extension removed
Date: Sat, 14 Oct 2006 18:23:14 -0400
retitle 392998 [noop] IPMARK extension removed
thanks

On 10/14/06, Aaron Dummer <aaron@dummer.info> wrote:

> IPMARK and other pomng extensions were removed.  These are still valid
> extensions, available by running "./runme --download" from the pom-ng source
> (see
> http://lists.netfilter.org/pipermail/netfilter-devel/2006-july/025141.html).
>
> Please put these back into the package.

I would really rather not.



Information forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#392998; Package iptables. Full text and rfc822 format available.

Acknowledgement sent to Aaron Dummer <aaron@dummer.info>:
Extra info received and forwarded to list. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #17 received at 392998@bugs.debian.org (full text, mbox):

From: Aaron Dummer <aaron@dummer.info>
To: 392998@bugs.debian.org
Subject: Re: Bug#392998 closed by "Laurence J. Lane" <ljlane@debian.org> (Re: Bug#392998: IPMARK extension removed)
Date: Sat, 14 Oct 2006 20:24:45 -0400
On Saturday 14 October 2006 19:05, Debian Bug Tracking System wrote:
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact "Laurence J. Lane" <ljlane@debian.org> by
> replying to this email.

Laurence,

Please provide a better response than "I would really rather not".  If you 
have a good reason for not including these official netfilter extensions, I'd 
like to know.

--
Aaron Dummer
aaron@dummer.info



Message sent on to Aaron Dummer <aaron@dummer.info>:
Bug#392998. Full text and rfc822 format available.

Message #20 received at 392998-submitter@bugs.debian.org (full text, mbox):

From: "Laurence J. Lane" <ljlane@debian.org>
To: 392998-submitter@bugs.debian.org
Subject: Re: Bug#392998: closed by "Laurence J. Lane" <ljlane@debian.org> (Re: Bug#392998: IPMARK extension removed)
Date: Sat, 14 Oct 2006 23:45:15 -0400
On 10/14/06, Aaron Dummer <aaron@dummer.info> wrote:

> Please provide a better response than "I would really rather not".  If you
> have a good reason for not including these official netfilter extensions, I'd
> like to know.

I do not have to include any patch-o-matic extensions.



Information forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#392998; Package iptables. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #25 received at 392998@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: "Laurence J. Lane" <ljlane@debian.org>, 392998@bugs.debian.org, 392998-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#392998: closed by "Laurence J. Lane" <ljlane@debian.org> (Re: Bug#392998: IPMARK extension removed)
Date: Thu, 19 Oct 2006 14:36:27 +0200
On Sat, Oct 14, 2006 at 11:45:15PM -0400, Laurence J. Lane wrote:
> On 10/14/06, Aaron Dummer <aaron@dummer.info> wrote:
> >Please provide a better response than "I would really rather not".  If you
> >have a good reason for not including these official netfilter extensions, 
> >I'd
> >like to know.
> 
> I do not have to include any patch-o-matic extensions.

Yes, of course, but you did in the past, so your latest policy change
has introduced a regression for your users. I think it is within their
rights to ask you for a better explanation than "I don't feel like
doing so any more".

Please, make it easier for people to understand your decisions.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Message sent on to Aaron Dummer <aaron@dummer.info>:
Bug#392998. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#392998; Package iptables. Full text and rfc822 format available.

Acknowledgement sent to "Laurence J. Lane" <ljlane@debian.org>:
Extra info received and forwarded to list. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #33 received at 392998@bugs.debian.org (full text, mbox):

From: "Laurence J. Lane" <ljlane@debian.org>
To: "Marc Haber" <mh+debian-packages@zugschlus.de>, 392998@bugs.debian.org
Subject: Re: Bug#392998: closed by "Laurence J. Lane" <ljlane@debian.org> (Re: Bug#392998: IPMARK extension removed)
Date: Thu, 19 Oct 2006 20:55:04 -0400
On 10/19/06, Marc Haber <mh+debian-packages@zugschlus.de> wrote:

> > I do not have to include any patch-o-matic extensions.

> Yes, of course, but you did in the past, so your latest policy change
> has introduced a regression for your users. I think it is within their
> rights to ask you for a better explanation than "I don't feel like
> doing so any more".

> Please, make it easier for people to understand your decisions.

Asserting that patch-o-matic-ng extensions are official netfilter
extensions is misleading. The non-mainline kernel netfilter extensions
used to build the iptables userspace extensions were withdrawn from
patch-o-matic-ng upstream,  as noted in the Debian changelog.
Upstream had a number of reasons to withdraw them (some not
maintained, some maintained elsewhere now, some deprecated, etc)
and it has always been my policy to not include third-party extensions.

It was clearly a mistake to ever add pomng extensions because they
are a support headache. And most were added at a user's requests.
Silly me. Always undone by trying to please users.



Information forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#392998; Package iptables. Full text and rfc822 format available.

Acknowledgement sent to bozhan <bozhan@zlatograd.net>:
Extra info received and forwarded to list. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #38 received at 392998@bugs.debian.org (full text, mbox):

From: bozhan <bozhan@zlatograd.net>
To: 392998@bugs.debian.org
Subject: little mess
Date: Sun, 29 Apr 2007 17:06:00 +0300
Hi,
is there are way to add some external pom extensions to iptables manually?
I meant in the way i get debian iptables sources  add some patches to 
them and compile it.
If answer is no.
Are you planing to add such  feature.
Current there are nice :) extensions like set, IPMARK which is nearly 
impossible to use with debian package.

Thanks
bozhan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:41:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:17:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.